org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface JavaType

- All Superinterfaces:
    EntityType, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, Type
  All Known Implementing Classes:
    JavaTypeImpl

      public interface JavaType
      extends EntityType

  A representation of the model object 'Java Type'.

  The following features are supported:

  - `Class Ref`
  See Also:
    `PatternLanguagePackage.getJavaType()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.xtext.common.types.JvmDeclaredType` | `getClassRef()` Returns the value of the 'Class Ref' reference.
    `void` | `setClassRef(org.eclipse.xtext.common.types.JvmDeclaredType value)` Sets the value of the '`Class Ref`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.Type

      `getTypename, setTypename`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getClassRef

          org.eclipse.xtext.common.types.JvmDeclaredType getClassRef()

      Returns the value of the 'Class Ref' reference.

      If the meaning of the 'Class Ref' reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Class Ref' reference.
      See Also:
        `setClassRef(JvmDeclaredType)`, `PatternLanguagePackage.getJavaType_ClassRef()`
      Generated:
      Model:

    - #### setClassRef

          void setClassRef(org.eclipse.xtext.common.types.JvmDeclaredType value)

      Sets the value of the '`Class Ref`' reference.
      Parameters:
        `value` - the new value of the 'Class Ref' reference.
      See Also:
        `getClassRef()`
      Generated:

    - #### toString

          java.lang.String toString()

      Specified by:
        `toString` in interface `Type`
      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model:
        annotation="http://www.eclipse.org/emf/2002/GenModel body='return org.eclipse.viatra.query.patternlanguage.emf.util.ASTStringProvider.INSTANCE.doSwitch(this);'"